Get All Registration Tokens

Get All Registration Tokens
Get list of sensor registration tokens

Get a list of tokens with manifest info as per the filter criteria. | Sorting is supported by the following fields - display_name, remaining_instance_count, | usage_count, and status.

Request
URI
GET
https://{api_host}/sensors/registration-tokens
COPY
Query Parameters
integer
offset
Optional
Constraints: minimum: 0 default: 0

Offset pagination parameter used to exclude from a response the first N items of a resource collection. Combine the offset and the page_size options to request a particular set or page of items.

integer
page_size
Optional
Constraints: minimum: 0 default: 1000

Number of records to be returned in the API request from the provided offset

boolean,null
sort_ascending
Optional
Constraints: default: false

True, if the list of records returned need to be sorted in ascending order, false otherwise.

string
sort_by
Optional

The parameter name on which to sort the list of records. Only top-level parameters in the returned list of records will be supported. If not provided, system will define the parameter by which results are sorted.

string
display_name
Optional

Use this request parameter to filter by display name.

display_name example
sensor
string
token_status
Optional

Use this request param to specify the token status by which to filter.

token_status example
AVAILABLE
Enumeration: AVAILABLE, EXPIRED, USED

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SensorRegistrationTokenList of type(s) application/json
This response body class contains all of the following: ListResult , InlineSensorRegistrationTokenList1
{
    "number_of_results": 1,
    "offset": -1,
    "results": [
        {
            "_create_time": 1778649684801,
            "_create_user": "admin",
            "_last_modified_time": 1778649684801,
            "allowed_instance_count": 1,
            "description": "Token for ndr sensor",
            "display_name": "sensor",
            "expiration": 1778651482922,
            "id": "5aaf7cf0-fda2-441a-a7c4-daa0a599b78b",
            "number_available": 1,
            "passphrase": "",
            "registration_manifest": "xxxxx",
            "status": "AVAILABLE",
            "usage_count": 0
        }
    ],
    "sort_ascending": false,
    "sort_by": "display_name",
    "total_pages": 1,
    "total_result_count": 1
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "sensor",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    ["platform-sensor-all"]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sensors/registration-tokens